TechDraw: Linea guida

From FreeCAD Documentation
Revision as of 20:24, 6 May 2019 by Renatorivo (talk | contribs) (Created page with "== Proprietà ==")
Other languages:

File:Techdraw-mline.svg Linea guida

Posizione nel menu
TechDraw → Linea guida
Ambiente
TechDraw
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Modelli di squadrature, SVG, Blocco di testo

Descrizione

Lo strumento Linea guida aggiunge una linea a una vista. Altri oggetti di annotazione, come un Blocco di testo, possono essere collegati alla linea guida per formare annotazioni complesse.

Linea guida aggiunta a View001

Utilizzo

  1. Premere il pulsante File:Techdraw-mline.svg Linea guida
  2. Si apre una finestra di dialogo delle azioni. La finestra di dialogo consente di disegnare la linea guida e di assegnare i simboli finali alla linea.
  3. Il pulsante di prelievo dei punti avvia una funzione per disegnare la linea con dei segmenti. Il disegno della linea inizia sempre nel punto in cui la linea deve essere collegata alla vista.
  4. Fare clic per aggiungere un punto, spostare il mouse per disegnare un segmento di linea.
  5. Per uscire dall'editor della linea, fare doppio clic, o premere il pulsante destro del mouse, o premere il pulsante Esci nella finestra di dialogo.
  6. Dopo aver creato la linea, è possibile modificarla facendo doppio clic sulla Linea guida nell'albero del modello.


Proprietà

  • DatiX,Y: The point at which the leader line is connected to the View.
  • DatiLeader Parent: The View to which the leader is attached.
  • DatiStart Symbol: The line end symbol (arrowhead) at the View end.
  • DatiEnd Symbol: The line end symbol at the annotation block end.
  • DatiScalable: Leader scales with Leader Parent.
  • VistaColor: Pen colour for the leader line.
  • VistaLine Style: 0 - No Line, 1 - Solid Line, ...
  • VistaLine Width: Weight of leader line.


Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.Waypoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Notes

  • This feature was added in v0.19
  • You can edit your LeaderLine by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.
  • The leader line can be edited by pressing "Edit points" while in edit mode. To exit point editing: press "Escape editing", press ESC or press RightMouseButton (RMB).